Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.data
Interface Acl

public interface Acl

ACL is access control list for various infobits. Treat is as "security domain". several infobits will share same security domain. ACL lists several "capabilities" and binds them to certain user "roles". Normally users have nothing to do with ACL. Acl can not be manipulated directly - this shall be done `AclManager` instance

Version:
  $Revision: 1.4 $
Author:
  konstantin

Method Summary
`java.lang.String` | `getDescription()` acl decription
`java.util.Collection` | `getInfobits()` collection of infobits under control of this acl.
`java.lang.String` | `getName()` unique name of given ACL.
`java.util.Set` | `getRoles(Capability capability)` defined roles for given capability.
`void` | `setDescription(java.lang.String description)` Sets the Description attribute of the Acl object

Method Detail

### getName

    public java.lang.String getName()

  unique name of given ACL. name shall not change after creation.

  Returns:
    name

### getInfobits

    public java.util.Collection getInfobits()

  collection of infobits under control of this acl. do not dare to modify this collection.

  Returns:
    The Infobits value

### getDescription

    public java.lang.String getDescription()

  acl decription

  Returns:
    human readable description

### getRoles

    public java.util.Set getRoles(Capability capability)

  defined roles for given capability. those roles are explicit - if no capability with this name is defined, nobody is allowed

  Parameters:
    `capability` - Description of Parameter
  Returns:
    role set

### setDescription

    public void setDescription(java.lang.String description)

  Sets the Description attribute of the Acl object

  Parameters:
    `description` - The new Description value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.